Subject: Re: bug#59377: 29.0.50; Sticky frame parameter has no effect

From: Po Lu <[email-masked]>
Date: Sat, 19 Nov 2022 15:09:31 +0800

Michael Heerdegen <[email-masked]> writes:

> Hello,
>
> Debian and Openbox on X here.
>
> When I set the `sticky` frame parameter of a frame to non-nil, like in
>
> (display-buffer (get-buffer-create "Test")
>                 `(display-buffer-pop-up-frame
>                   ( pop-up-frame-parameters
>                     (sticky . t) (minibuffer . nil))))
>
> there is no effect - the frame is only displayed on the current virtual
> desktop.  Same when I explicitly set the frame parameter of an existing
> frame, e.g. with
>
>   (set-frame-parameter nil 'sticky t)
>
> I would have expected that this works with Openbox.
>
> TIA,
>
> Michael.

Thanks.

Can you please do the following?

First, run "xdpyinfo".  Look for the screen you are running Emacs on,
and its root window.  Then, type "xprop -id <id-of-root-window-here>",
and send the output of that command.

Second, run "xprop", click on Emacs after you set the `sticky'
parameter, and send its output here.